Campaigns
List campaigns
List active or archived outbound voice campaigns on your account with limit and offset pagination.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaigns
List campaigns
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaigns
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.boolean
default:"false"
Set to
true to list archived campaigns instead of active ones.integer
default:"20"
Number of campaigns to return per page.
integer
default:"0"
Number of campaigns to skip before returning results.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns?limit=20&offset=0" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
Archived
GET /api/v1/account/{account_id}/campaigns?archived=true&limit=20&offset=0
Was this page helpful?
⌘I
List campaigns
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaigns \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaigns"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));